#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: shake
version: 0.13.2
id: shake-0.13.2-5118f0bd9021313a8dd729dc7a44ab85

license: BSD3
copyright: Neil Mitchell 2011-2014
maintainer: Neil Mitchell <ndmitchell@gmail.com>
stability:
homepage: https://github.com/ndmitchell/shake
package-url:
synopsis: Build system library, like Make, but more accurate dependencies.
description: Shake is a Haskell library for writing build systems - designed as a
             replacement for @make@. See "Development.Shake" for an introduction,
             including an example. Further examples are included in the Cabal tarball,
             under the @Examples@ directory. The homepage contains links to a user
             manual, an academic paper and further information:
             <https://github.com/ndmitchell/shake>
             .
             To use Shake the user writes a Haskell program
             that imports "Development.Shake", defines some build rules, and calls
             the '\''Development.Shake.shakeArgs'\'' function. Thanks to do notation and infix
             operators, a simple Shake build system
             is not too dissimilar from a simple Makefile. However, as build systems
             get more complex, Shake is able to take advantage of the excellent
             abstraction facilities offered by Haskell and easily support much larger
             projects. The Shake library provides all the standard features available in other
             build systems, including automatic parallelism and minimal rebuilds.
             Shake also provides more accurate dependency tracking, including seamless
             support for generated files, and dependencies on system information
             (e.g. compiler version).
category: Development
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
exposed-modules: Development.Shake Development.Shake.Classes
                 Development.Shake.Command Development.Shake.Config
                 Development.Shake.FilePath Development.Shake.Rule
                 Development.Shake.Util
hidden-modules: Development.Ninja.Env Development.Ninja.Lexer
                Development.Ninja.Parse Development.Ninja.Type
                Development.Shake.Args Development.Shake.ByteString
                Development.Shake.Core Development.Shake.Database
                Development.Shake.Derived Development.Shake.Errors
                Development.Shake.FileInfo Development.Shake.FilePattern
                Development.Shake.Pool Development.Shake.Progress
                Development.Shake.Report Development.Shake.Resource
                Development.Shake.Rules.Directory Development.Shake.Rules.File
                Development.Shake.Rules.Files Development.Shake.Rules.Oracle
                Development.Shake.Rules.OrderOnly Development.Shake.Rules.Rerun
                Development.Shake.Shake Development.Shake.Special
                Development.Shake.Storage Development.Shake.Types
                Development.Shake.Value General.Base General.Binary General.Intern
                General.RAW General.String General.Timing Paths_shake
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/shake-0.13.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/shake-0.13.2
              /usr/local/lib
hs-libraries: HSshake-0.13.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         binary-0.7.1.0-fdf5e9ff14a1a435f4c200e5bb5946e6
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         directory-1.2.1.0-7bc3edddb9ec0c2616861a4f1c5f6c54
         filepath-1.3.0.2-1580a61d3226e4be45fe2130dc2881e3
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         old-time-1.1.0.2-82f33d6e3ad1bf310652027f3726eaa8
         process-1.2.0.0-163b32a503548d746f4aa93b497ff8ea
         random-1.0.1.1-ea125bb357de39b1f8403eb83fa4e9c7
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
         unix-2.7.0.1-788bb017f25d23a9432018ddc61a967e
         unordered-containers-0.2.4.0-ab8d3f7773b26c54df0958504a88212e
         utf8-string-0.3.8-1953503a54d3f55fc6ab02431dfeac7c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/shake-0.13.2/html/shake.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/shake-0.13.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
